Bug 34239 - Implement CSSOM Range.getClientRects for collapsed selections
Summary: Implement CSSOM Range.getClientRects for collapsed selections
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-27 20:09 PST by Julie Parent
Modified: 2011-06-10 14:16 PDT (History)
7 users (show)

See Also:


Attachments
Patch (5.62 KB, patch)
2010-01-28 23:09 PST, Ojan Vafai
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Ojan Vafai 2010-01-28 23:09:11 PST
Created attachment 47682 [details]
Patch
Comment 2 Ojan Vafai 2010-01-31 16:54:56 PST
Committed r54117: <http://trac.webkit.org/changeset/54117>
Comment 3 Simon Fraser (smfr) 2011-06-10 14:11:06 PDT
Why did this alter the behavior of absoluteQuadsForRange() but not absoluteRectsForRange()? Now one uses !isEmpty(), and the other uses if (r.height()), which is inconsistent.
Comment 4 Simon Fraser (smfr) 2011-06-10 14:16:48 PDT
Bug 62478 exists for that.